BufferingRequestProcessor (Solr 3.6.2 API)
Keywords: org.apache.solr.update.processor.BufferingRequestProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.update.processor
Class BufferingRequestProcessor

    java.lang.Object
      org.apache.solr.update.processor.UpdateRequestProcessor
          org.apache.solr.update.processor.BufferingRequestProcessor

    public class BufferingRequestProcessor

extends org.apache.solr.update.processor.UpdateRequestProcessor

Field Summary
`List<org.apache.solr.update.AddUpdateCommand>` | `addCommands`
`List<org.apache.solr.update.CommitUpdateCommand>` | `commitCommands`
`List<org.apache.solr.update.DeleteUpdateCommand>` | `deleteCommands`
`List<org.apache.solr.update.RollbackUpdateCommand>` | `rollbackCommands`

Fields inherited from class org.apache.solr.update.processor.UpdateRequestProcessor
`log, next`

Constructor Summary
`BufferingRequestProcessor(org.apache.solr.update.processor.UpdateRequestProcessor next)`

Method Summary
`void` | `finish()`
`void` | `processAdd(org.apache.solr.update.AddUpdateCommand cmd)`
`void` | `processCommit(org.apache.solr.update.CommitUpdateCommand cmd)`
`void` | `processDelete(org.apache.solr.update.DeleteUpdateCommand cmd)`
`void` | `processRollback(org.apache.solr.update.RollbackUpdateCommand cmd)`

Methods inherited from class org.apache.solr.update.processor.UpdateRequestProcessor
`processMergeIndexes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addCommands

    public List<org.apache.solr.update.AddUpdateCommand> addCommands

### deleteCommands

    public List<org.apache.solr.update.DeleteUpdateCommand> deleteCommands

### commitCommands

    public List<org.apache.solr.update.CommitUpdateCommand> commitCommands

### rollbackCommands

    public List<org.apache.solr.update.RollbackUpdateCommand> rollbackCommands

Constructor Detail

### BufferingRequestProcessor

    public BufferingRequestProcessor(org.apache.solr.update.processor.UpdateRequestProcessor next)

Method Detail

### processAdd

    public void processAdd(org.apache.solr.update.AddUpdateCommand cmd)
                    throws IOException

  Overrides:
    `processAdd` in class `org.apache.solr.update.processor.UpdateRequestProcessor`
  Throws:
    `IOException`

### processDelete

    public void processDelete(org.apache.solr.update.DeleteUpdateCommand cmd)
                       throws IOException

  Overrides:
    `processDelete` in class `org.apache.solr.update.processor.UpdateRequestProcessor`
  Throws:
    `IOException`

### processCommit

    public void processCommit(org.apache.solr.update.CommitUpdateCommand cmd)
                       throws IOException

  Overrides:
    `processCommit` in class `org.apache.solr.update.processor.UpdateRequestProcessor`
  Throws:
    `IOException`

### processRollback

    public void processRollback(org.apache.solr.update.RollbackUpdateCommand cmd)
                         throws IOException

  Overrides:
    `processRollback` in class `org.apache.solr.update.processor.UpdateRequestProcessor`
  Throws:
    `IOException`

### finish

    public void finish()
                throws IOException

  Overrides:
    `finish` in class `org.apache.solr.update.processor.UpdateRequestProcessor`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD